MIPI_DSI_DCS_READ(9)

NAME
mipi_dsi_dcs_read - send DCS read request command

SYNOPSIS

ssize_t mipi_dsi_dcs_read(struct mipi_dsi_device * dsi, u8 cmd, void * data, size_t len);

ARGUMENTS

dsi
    DSI peripheral device

cmd
    DCS command

data
    buffer in which to receive data

len
    size of receive buffer

RETURN

The number of bytes read or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT